﻿using BPA.Component.MongoClient.Repository;
using BPA.SaaS.BizLog.Api.Entity;
using BPA.SaaS.BizLog.Api.IRepository;
using BPA.SaaS.BizLog.Api.Model;

namespace BPA.SaaS.BizLog.Api.Repository;

public class BizLogTimeoutRepository : BaseMongoDbRepository<BizLogMongoDbClient, BPA_BizLog_Execetion_Time>, IBizLogTimeoutRepository
{
    public BizLogTimeoutRepository(BizLogMongoDbClient mongoDbClient) : base(mongoDbClient)
    {
    }

    public bool AddTimeoutBizLog(BPA_BizLog_Execetion_Time bpaBizLogExecetionTime) => Add(bpaBizLogExecetionTime) > 0;
}