﻿using BPA.Component.Extensions;

namespace BPA.SaaS.BizLog.Api.Entity;

public class BPA_BizLog_Execetion_Time
{
    public long Id { get; set; } = BPAUniqueIdBulder.NextLong();

    /// <summary>
    /// BusinessIdStr
    /// </summary>
    public string BusinessIdStr { get; set; }

    /// <summary>
    /// BusinessId
    /// </summary>
    public long BusinessId { get; set; }

    /// <summary>
    /// TrackId
    /// </summary>
    public string TrackId { get; set; }

    /// <summary>
    /// TotalSeconds
    /// </summary>
    public double TotalSeconds { get; set; }

    /// <summary>
    /// FileName
    /// </summary>
    public string FileName { get; set; }

    /// <summary>
    /// FileLine
    /// </summary>
    public int FileLine { get; set; }

    /// <summary>
    /// FileMethodName
    /// </summary>
    public string FirstMethodName { get; set; }
}