namespace BPA.SaaS.BizLog.Api.Entity;

public class BPA_BizLog_Update : BPA_BizLog_Base
{
    /// <summary>
    /// 更新时间
    /// </summary>
    public DateTime? UpdateDateTime { get; set; }

    /// <summary>
    /// 更新人
    /// </summary>
    public string? UpdateBy { get; set; }

    /// <summary>
    /// 更新之前的数据
    /// </summary>
    public Dictionary<string, object>? UpdateBeforeData { get; set; }

    /// <summary>
    /// 更新之后的数据
    /// </summary>
    public Dictionary<string, object>? UpdateAfterData { get; set; }
}