﻿using BPA.Component.MongoClient.Repository;
using BPA.SaaS.BizLog.Api.Entity;

namespace BPA.SaaS.BizLog.Api.IRepository;

public interface IBizLogRepository : IBaseMongoDbRepository<BPA_BizLog_Base>
{
    bool AddCreateBizLog(BPA_BizLog_Create bpaBizLogCreate);
    bool AddUpdateBizLog(BPA_BizLog_Update bpaBizLogUpdate);
    bool AddDeleteBizLog(BPA_BizLog_Delete bpaBizLogDelete);
    bool AddQueryBizLog(BPA_BizLog_Query bpaBizLogCreate);
}