﻿using BPA.Component.MongoClient;
using Microsoft.Extensions.Logging;

namespace BPA.SaaS.BizLog.Api.Model;

public class BizLogMongoDbClient : BaseMongoDbClient<BizLogMongoDbClient>
{
    private readonly ILogger<BizLogMongoDbClient> _logger;

    public BizLogMongoDbClient(BizLogApiConfig config, ILogger<BizLogMongoDbClient> logger)
        : base(config.BizLogMongoConfig, logger)
    {
        _logger = logger;
    }
}